Loading...
Searching...
No Matches
_ocsd_etmv4_i_pkt Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_etmv4.h>`

Inheritance diagram for _ocsd_etmv4_i_pkt:
[legend]
Collaboration diagram for _ocsd_etmv4_i_pkt:
[legend]

## Public Attributes

ocsd_etmv4_i_pkt_type | type
ocsd_pkt_vaddr | v_addr
| most recently broadcast address packet
uint8_t | v_addr_ISA
| ISA for the address packet. (0 = IS0 / 1 = IS1)
etmv4_context_t | context
| current context for PE
struct { |
uint64_t timestamp |
| current timestamp value More...
uint8_t bits_changed |
| bits updated in this timestamp packet. More...
} | ts |
uint32_t | cc_threshold
| cycle count threshold - from trace info.
ocsd_pkt_atom | atom
| atom elements - number of atoms indicates validity of packet
uint32_t | cycle_count
| cycle count
uint32_t | curr_spec_depth
| current speculation depth
uint32_t | p0_key
| current P0 key value for data packet synchronisation
uint32_t | commit_elements
uint32_t | cancel_elements
etmv4_trace_info_t | trace_info
| trace info structure - programmed configuration of trace capture.
struct { |
uint32_t exceptionType:10 |
| exception number More...
uint32_t addr_interp:2 |
| address value interpretation More...
uint32_t m_fault_pending:1 |
| M class fault pending. More...
uint32_t m_type:1 |
| 1 if M class exception. More...
} | exception_info |
uint8_t | addr_exact_match_idx
| address match index in this packet.
uint8_t | dsm_val
| Data Sync Marker number, or unnumbered atom count - packet type determines.
uint8_t | event_val
| Event value on event packet.
struct { |
uint32_t cond_c_key |
uint8_t num_c_elem |
struct { |
uint32_t cond_key_set:1 |
uint32_t f3_final_elem:1 |
uint32_t f2_cond_incr:1 |
} |  |
} | cond_instr |
struct { |
uint32_t cond_r_key_0 |
uint32_t cond_r_key_1 |
struct { |
uint32_t res_0:4 |
uint32_t res_1:4 |
uint32_t ci_0:1 |
uint32_t ci_1:1 |
uint32_t key_res_0_set:1 |
uint32_t key_res_1_set:1 |
uint32_t f2_key_incr:2 |
uint32_t f2f4_token:2 |
uint32_t f3_tokens:12 |
} |  |
} | cond_result |
struct { |
uint32_t q_count |
struct { |
uint32_t addr_present:1 |
uint32_t addr_match:1 |
uint32_t count_present:1 |
uint32_t q_type:4 |
} |  |
} | Q_pkt |
struct { |
uint8_t el |
uint64_t value |
} | ite_pkt |
union { |
uint32_t val |
struct { |
uint32_t context_valid:1 |
uint32_t ts_valid:1 |
uint32_t spec_depth_valid:1 |
uint32_t p0_key_valid:1 |
uint32_t cond_c_key_valid:1 |
uint32_t cond_r_key_valid:1 |
uint32_t trace_info_valid:1 |
uint32_t cc_thresh_valid:1 |
uint32_t cc_valid:1 |
uint32_t commit_elem_valid:1 |
} bits |
} | pkt_valid |
| valid bits for packet elements (addresses have their own valid bits).
ocsd_etmv4_i_pkt_type | err_type
uint8_t | err_hdr_val
uint8_t | protocol_version

## Detailed Description

Definition at line 199 of file trc_pkt_types_etmv4.h.

## Member Data Documentation

## addr_exact_match_idx

uint8_t _ocsd_etmv4_i_pkt::addr_exact_match_idx

address match index in this packet.

Definition at line 237 of file trc_pkt_types_etmv4.h.

## addr_interp

uint32_t _ocsd_etmv4_i_pkt::addr_interp

address value interpretation

Definition at line 231 of file trc_pkt_types_etmv4.h.

## addr_match

uint32_t _ocsd_etmv4_i_pkt::addr_match

Definition at line 271 of file trc_pkt_types_etmv4.h.

## addr_present

uint32_t _ocsd_etmv4_i_pkt::addr_present

Definition at line 270 of file trc_pkt_types_etmv4.h.

## atom

ocsd_pkt_atom _ocsd_etmv4_i_pkt::atom

atom elements - number of atoms indicates validity of packet

Definition at line 218 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::bits

## bits_changed

uint8_t _ocsd_etmv4_i_pkt::bits_changed

bits updated in this timestamp packet.

Definition at line 212 of file trc_pkt_types_etmv4.h.

## cancel_elements

uint32_t _ocsd_etmv4_i_pkt::cancel_elements

Definition at line 225 of file trc_pkt_types_etmv4.h.

## cc_thresh_valid

uint32_t _ocsd_etmv4_i_pkt::cc_thresh_valid

Definition at line 293 of file trc_pkt_types_etmv4.h.

## cc_threshold

uint32_t _ocsd_etmv4_i_pkt::cc_threshold

cycle count threshold - from trace info.

Definition at line 215 of file trc_pkt_types_etmv4.h.

## cc_valid

uint32_t _ocsd_etmv4_i_pkt::cc_valid

Definition at line 294 of file trc_pkt_types_etmv4.h.

## ci_0

uint32_t _ocsd_etmv4_i_pkt::ci_0

Definition at line 257 of file trc_pkt_types_etmv4.h.

## ci_1

uint32_t _ocsd_etmv4_i_pkt::ci_1

Definition at line 258 of file trc_pkt_types_etmv4.h.

## commit_elem_valid

uint32_t _ocsd_etmv4_i_pkt::commit_elem_valid

Definition at line 295 of file trc_pkt_types_etmv4.h.

## commit_elements

uint32_t _ocsd_etmv4_i_pkt::commit_elements

Definition at line 224 of file trc_pkt_types_etmv4.h.

## cond_c_key

uint32_t _ocsd_etmv4_i_pkt::cond_c_key

Definition at line 242 of file trc_pkt_types_etmv4.h.

## cond_c_key_valid

uint32_t _ocsd_etmv4_i_pkt::cond_c_key_valid

Definition at line 290 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::cond_instr

## cond_key_set

uint32_t _ocsd_etmv4_i_pkt::cond_key_set

Definition at line 245 of file trc_pkt_types_etmv4.h.

## cond_r_key_0

uint32_t _ocsd_etmv4_i_pkt::cond_r_key_0

Definition at line 252 of file trc_pkt_types_etmv4.h.

## cond_r_key_1

uint32_t _ocsd_etmv4_i_pkt::cond_r_key_1

Definition at line 253 of file trc_pkt_types_etmv4.h.

## cond_r_key_valid

uint32_t _ocsd_etmv4_i_pkt::cond_r_key_valid

Definition at line 291 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::cond_result

## context

etmv4_context_t _ocsd_etmv4_i_pkt::context

current context for PE

Definition at line 208 of file trc_pkt_types_etmv4.h.

## context_valid

uint32_t _ocsd_etmv4_i_pkt::context_valid

Definition at line 286 of file trc_pkt_types_etmv4.h.

## count_present

uint32_t _ocsd_etmv4_i_pkt::count_present

Definition at line 272 of file trc_pkt_types_etmv4.h.

## curr_spec_depth

uint32_t _ocsd_etmv4_i_pkt::curr_spec_depth

current speculation depth

Definition at line 221 of file trc_pkt_types_etmv4.h.

## cycle_count

uint32_t _ocsd_etmv4_i_pkt::cycle_count

cycle count

Definition at line 219 of file trc_pkt_types_etmv4.h.

## dsm_val

uint8_t _ocsd_etmv4_i_pkt::dsm_val

Data Sync Marker number, or unnumbered atom count - packet type determines.

Definition at line 238 of file trc_pkt_types_etmv4.h.

## el

uint8_t _ocsd_etmv4_i_pkt::el

Definition at line 278 of file trc_pkt_types_etmv4.h.

## err_hdr_val

uint8_t _ocsd_etmv4_i_pkt::err_hdr_val

Definition at line 301 of file trc_pkt_types_etmv4.h.

## err_type

ocsd_etmv4_i_pkt_type _ocsd_etmv4_i_pkt::err_type

Definition at line 300 of file trc_pkt_types_etmv4.h.

## event_val

uint8_t _ocsd_etmv4_i_pkt::event_val

Event value on event packet.

Definition at line 239 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::exception_info

## exceptionType

uint32_t _ocsd_etmv4_i_pkt::exceptionType

exception number

Definition at line 230 of file trc_pkt_types_etmv4.h.

## f2_cond_incr

uint32_t _ocsd_etmv4_i_pkt::f2_cond_incr

Definition at line 247 of file trc_pkt_types_etmv4.h.

## f2_key_incr

uint32_t _ocsd_etmv4_i_pkt::f2_key_incr

Definition at line 261 of file trc_pkt_types_etmv4.h.

## f2f4_token

uint32_t _ocsd_etmv4_i_pkt::f2f4_token

Definition at line 262 of file trc_pkt_types_etmv4.h.

## f3_final_elem

uint32_t _ocsd_etmv4_i_pkt::f3_final_elem

Definition at line 246 of file trc_pkt_types_etmv4.h.

## f3_tokens

uint32_t _ocsd_etmv4_i_pkt::f3_tokens

Definition at line 263 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::ite_pkt

## key_res_0_set

uint32_t _ocsd_etmv4_i_pkt::key_res_0_set

Definition at line 259 of file trc_pkt_types_etmv4.h.

## key_res_1_set

uint32_t _ocsd_etmv4_i_pkt::key_res_1_set

Definition at line 260 of file trc_pkt_types_etmv4.h.

## m_fault_pending

uint32_t _ocsd_etmv4_i_pkt::m_fault_pending

M class fault pending.

Definition at line 232 of file trc_pkt_types_etmv4.h.

## m_type

uint32_t _ocsd_etmv4_i_pkt::m_type

1 if M class exception.

Definition at line 233 of file trc_pkt_types_etmv4.h.

## num_c_elem

uint8_t _ocsd_etmv4_i_pkt::num_c_elem

Definition at line 243 of file trc_pkt_types_etmv4.h.

## p0_key

uint32_t _ocsd_etmv4_i_pkt::p0_key

current P0 key value for data packet synchronisation

Definition at line 222 of file trc_pkt_types_etmv4.h.

## p0_key_valid

uint32_t _ocsd_etmv4_i_pkt::p0_key_valid

Definition at line 289 of file trc_pkt_types_etmv4.h.

## [union]

union { ... } _ocsd_etmv4_i_pkt::pkt_valid

valid bits for packet elements (addresses have their own valid bits).

## protocol_version

uint8_t _ocsd_etmv4_i_pkt::protocol_version

Definition at line 304 of file trc_pkt_types_etmv4.h.

## q_count

uint32_t _ocsd_etmv4_i_pkt::q_count

Definition at line 268 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::Q_pkt

## q_type

uint32_t _ocsd_etmv4_i_pkt::q_type

Definition at line 273 of file trc_pkt_types_etmv4.h.

## res_0

uint32_t _ocsd_etmv4_i_pkt::res_0

Definition at line 255 of file trc_pkt_types_etmv4.h.

## res_1

uint32_t _ocsd_etmv4_i_pkt::res_1

Definition at line 256 of file trc_pkt_types_etmv4.h.

## spec_depth_valid

uint32_t _ocsd_etmv4_i_pkt::spec_depth_valid

Definition at line 288 of file trc_pkt_types_etmv4.h.

## timestamp

uint64_t _ocsd_etmv4_i_pkt::timestamp

current timestamp value

Definition at line 211 of file trc_pkt_types_etmv4.h.

## trace_info

etmv4_trace_info_t _ocsd_etmv4_i_pkt::trace_info

trace info structure - programmed configuration of trace capture.

Definition at line 227 of file trc_pkt_types_etmv4.h.

## trace_info_valid

uint32_t _ocsd_etmv4_i_pkt::trace_info_valid

Definition at line 292 of file trc_pkt_types_etmv4.h.

## [struct]

struct { ... } _ocsd_etmv4_i_pkt::ts

## ts_valid

uint32_t _ocsd_etmv4_i_pkt::ts_valid

Definition at line 287 of file trc_pkt_types_etmv4.h.

## type

ocsd_etmv4_i_pkt_type _ocsd_etmv4_i_pkt::type

Trace packet type derived from header byte

Definition at line 201 of file trc_pkt_types_etmv4.h.

## v_addr

ocsd_pkt_vaddr _ocsd_etmv4_i_pkt::v_addr

most recently broadcast address packet

Definition at line 205 of file trc_pkt_types_etmv4.h.

## v_addr_ISA

uint8_t _ocsd_etmv4_i_pkt::v_addr_ISA

ISA for the address packet. (0 = IS0 / 1 = IS1)

Definition at line 206 of file trc_pkt_types_etmv4.h.

## val

uint32_t _ocsd_etmv4_i_pkt::val

Definition at line 284 of file trc_pkt_types_etmv4.h.

## value

uint64_t _ocsd_etmv4_i_pkt::value

Definition at line 279 of file trc_pkt_types_etmv4.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-8WV101/libopencsd-1.5.5/decoder/include/opencsd/etmv4/trc_pkt_types_etmv4.h